#### D.3.2.25 jordannf

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  jordannf(M); matrix M

Assume:
  eigenvalues of M in basefield

Return:
  matrix J; Jordan normal form of M

Example:

    LIB "linalg.lib";
    ring R=0,x,dp;
    matrix M[3][3]=3,2,1,0,2,1,0,0,3;
    print(M);
    ==> 3,2,1,
    ==> 0,2,1,
    ==> 0,0,3
    print(jordannf(M));
    ==> 2,0,0,
    ==> 0,3,0,
    ==> 0,1,3

User manual for Singular version 4-0-3, 2016, generated by texi2html.